#include <stdio.h>
#include <string.h>

int main()
{
  char *p;

  p = strchr("ABCDEFG", 'A');
  printf("%s\n", p);

  p = strchr("ABCDEFG", 'C');
  printf("%s\n", p);

  p = strchr("ABCDABCD", 'A');
  printf("%s\n", p);

  p = strchr("ABCDABCD", 'D');
  printf("%s\n", p);

  p = strchr("ABCDEFG", 'a');
  if (p)
    printf("ERROR");

  return 0;
}
